<?php 

namespace App\Enums;

use Carbon\Carbon;

class YearlyBonusDates {
    public static function getMidYearDate()
    {
        $currentYear = Carbon::now()->year;
        return Carbon::create($currentYear, 5, 15);
    }

    public static function getYearEndDate()
    {
        $currentYear = Carbon::now()->year;
        return Carbon::create($currentYear, 10, 31);
    }
}

?>